function mypcolor(A,B,C)

if nargin==3,
  hdl=pcolor(A,B,C);
elseif nargin==1
  hdl=pcolor(A);
else
 display(['usage: mypcolor(x,y,A) or mypcolor(A)'])
end

set(hdl,'EdgeColor','none')
shading interp
axis tight
box on

lw=2;
fs=20;

lineobj = findobj('type', 'Line');
set(lineobj,'LineWidth', lw);

patchobj = findobj('type', 'Patch');
set(patchobj,'LineWidth', lw);

textobj = findobj('type', 'axes');
set(textobj,'LineWidth', lw);
set(textobj, 'fontsize', fs);
set(textobj, 'FontName', 'Times');